Linux: update to automake 1.16.1
[scilab.git] / scilab / modules / call_scilab / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2009 - DIGITEO - Sylvestre Ledru
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # Copyright (C) 2012 - 2016 - Scilab Enterprises
27 #
28 # This file is hereby licensed under the terms of the GNU GPL v2.0,
29 # pursuant to article 5.3.4 of the CeCILL v.2.1.
30 # This file was originally licensed under the terms of the CeCILL v2.1,
31 # and continues to be available under such terms.
32 # For more information, see the COPYING file which you should have received
33 # along with this program.
34 #
35
36 ##########
37 ### Makefile included stuff
38 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
39 ##########
40
41
42
43 VPATH = @srcdir@
44 am__is_gnu_make = { \
45   if test -z '$(MAKELEVEL)'; then \
46     false; \
47   elif test -n '$(MAKE_HOST)'; then \
48     true; \
49   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
50     true; \
51   else \
52     false; \
53   fi; \
54 }
55 am__make_running_with_option = \
56   case $${target_option-} in \
57       ?) ;; \
58       *) echo "am__make_running_with_option: internal error: invalid" \
59               "target option '$${target_option-}' specified" >&2; \
60          exit 1;; \
61   esac; \
62   has_opt=no; \
63   sane_makeflags=$$MAKEFLAGS; \
64   if $(am__is_gnu_make); then \
65     sane_makeflags=$$MFLAGS; \
66   else \
67     case $$MAKEFLAGS in \
68       *\\[\ \   ]*) \
69         bs=\\; \
70         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
71           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
72     esac; \
73   fi; \
74   skip_next=no; \
75   strip_trailopt () \
76   { \
77     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
78   }; \
79   for flg in $$sane_makeflags; do \
80     test $$skip_next = yes && { skip_next=no; continue; }; \
81     case $$flg in \
82       *=*|--*) continue;; \
83         -*I) strip_trailopt 'I'; skip_next=yes;; \
84       -*I?*) strip_trailopt 'I';; \
85         -*O) strip_trailopt 'O'; skip_next=yes;; \
86       -*O?*) strip_trailopt 'O';; \
87         -*l) strip_trailopt 'l'; skip_next=yes;; \
88       -*l?*) strip_trailopt 'l';; \
89       -[dEDm]) skip_next=yes;; \
90       -[JT]) skip_next=yes;; \
91     esac; \
92     case $$flg in \
93       *$$target_option*) has_opt=yes; break;; \
94     esac; \
95   done; \
96   test $$has_opt = yes
97 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
98 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
99 pkgdatadir = $(datadir)/@PACKAGE@
100 pkgincludedir = $(includedir)/@PACKAGE@
101 pkglibdir = $(libdir)/@PACKAGE@
102 pkglibexecdir = $(libexecdir)/@PACKAGE@
103 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
104 install_sh_DATA = $(install_sh) -c -m 644
105 install_sh_PROGRAM = $(install_sh) -c
106 install_sh_SCRIPT = $(install_sh) -c
107 INSTALL_HEADER = $(INSTALL_DATA)
108 transform = $(program_transform_name)
109 NORMAL_INSTALL = :
110 PRE_INSTALL = :
111 POST_INSTALL = :
112 NORMAL_UNINSTALL = :
113 PRE_UNINSTALL = :
114 POST_UNINSTALL = :
115 build_triplet = @build@
116 host_triplet = @host@
117 @NEED_JAVA_TRUE@am__append_1 = java
118 subdir = modules/call_scilab
119 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
120 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
121         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
122         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
123         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
124         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
125         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
126         $(top_srcdir)/m4/intel_compiler.m4 \
127         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
128         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
129         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
130         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
131         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
132         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
133         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
134         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
135         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
136         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
137         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
138 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
139         $(ACLOCAL_M4)
140 DIST_COMMON = $(srcdir)/Makefile.am \
141         $(libscicall_scilab_la_include_HEADERS) $(am__DIST_COMMON)
142 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
143 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
144 CONFIG_CLEAN_FILES =
145 CONFIG_CLEAN_VPATH_FILES =
146 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
147 am__vpath_adj = case $$p in \
148     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
149     *) f=$$p;; \
150   esac;
151 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
152 am__install_max = 40
153 am__nobase_strip_setup = \
154   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
155 am__nobase_strip = \
156   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
157 am__nobase_list = $(am__nobase_strip_setup); \
158   for p in $$list; do echo "$$p $$p"; done | \
159   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
160   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
161     if (++n[$$2] == $(am__install_max)) \
162       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
163     END { for (dir in files) print dir, files[dir] }'
164 am__base_list = \
165   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
166   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
167 am__uninstall_files_from_dir = { \
168   test -z "$$files" \
169     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
170     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
171          $(am__cd) "$$dir" && rm -f $$files; }; \
172   }
173 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
174         "$(DESTDIR)$(libscicall_scilab_la_etcdir)" \
175         "$(DESTDIR)$(libscicall_scilab_la_rootdir)" \
176         "$(DESTDIR)$(libscicall_scilab_la_sci_gatewaydir)" \
177         "$(DESTDIR)$(libscicall_scilab_la_includedir)"
178 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
179 libscicall_scilab_algo_la_LIBADD =
180 am__dirstamp = $(am__leading_dot)dirstamp
181 am__objects_1 = src/c/libscicall_scilab_algo_la-call_scilab.lo \
182         src/c/libscicall_scilab_algo_la-fromc.lo \
183         src/c/libscicall_scilab_algo_la-fromjava.lo \
184         src/c/libscicall_scilab_algo_la-SendScilabJobs.lo
185 am_libscicall_scilab_algo_la_OBJECTS = $(am__objects_1)
186 libscicall_scilab_algo_la_OBJECTS =  \
187         $(am_libscicall_scilab_algo_la_OBJECTS)
188 AM_V_lt = $(am__v_lt_@AM_V@)
189 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
190 am__v_lt_0 = --silent
191 am__v_lt_1 = 
192 libscicall_scilab_la_DEPENDENCIES = libscicall_scilab-algo.la
193 am__objects_2 = sci_gateway/c/libscicall_scilab_la-sci_fromjava.lo \
194         sci_gateway/c/libscicall_scilab_la-sci_fromc.lo
195 am_libscicall_scilab_la_OBJECTS = $(am__objects_2)
196 libscicall_scilab_la_OBJECTS = $(am_libscicall_scilab_la_OBJECTS)
197 AM_V_P = $(am__v_P_@AM_V@)
198 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
199 am__v_P_0 = false
200 am__v_P_1 = :
201 AM_V_GEN = $(am__v_GEN_@AM_V@)
202 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
203 am__v_GEN_0 = @echo "  GEN     " $@;
204 am__v_GEN_1 = 
205 AM_V_at = $(am__v_at_@AM_V@)
206 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
207 am__v_at_0 = @
208 am__v_at_1 = 
209 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
210 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
211 am__maybe_remake_depfiles = depfiles
212 am__depfiles_remade =  \
213         sci_gateway/c/$(DEPDIR)/libscicall_scilab_la-sci_fromc.Plo \
214         sci_gateway/c/$(DEPDIR)/libscicall_scilab_la-sci_fromjava.Plo \
215         src/c/$(DEPDIR)/libscicall_scilab_algo_la-SendScilabJobs.Plo \
216         src/c/$(DEPDIR)/libscicall_scilab_algo_la-call_scilab.Plo \
217         src/c/$(DEPDIR)/libscicall_scilab_algo_la-fromc.Plo \
218         src/c/$(DEPDIR)/libscicall_scilab_algo_la-fromjava.Plo
219 am__mv = mv -f
220 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
221         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
222 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
223         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
224         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
225         $(AM_CFLAGS) $(CFLAGS)
226 AM_V_CC = $(am__v_CC_@AM_V@)
227 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
228 am__v_CC_0 = @echo "  CC      " $@;
229 am__v_CC_1 = 
230 CCLD = $(CC)
231 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
232         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
233         $(AM_LDFLAGS) $(LDFLAGS) -o $@
234 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
235 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
236 am__v_CCLD_0 = @echo "  CCLD    " $@;
237 am__v_CCLD_1 = 
238 SOURCES = $(libscicall_scilab_algo_la_SOURCES) \
239         $(libscicall_scilab_la_SOURCES)
240 DIST_SOURCES = $(libscicall_scilab_algo_la_SOURCES) \
241         $(libscicall_scilab_la_SOURCES)
242 am__can_run_installinfo = \
243   case $$AM_UPDATE_INFO_DIR in \
244     n|no|NO) false;; \
245     *) (install-info --version) >/dev/null 2>&1;; \
246   esac
247 DATA = $(libscicall_scilab_la_etc_DATA) \
248         $(libscicall_scilab_la_root_DATA) \
249         $(libscicall_scilab_la_sci_gateway_DATA)
250 HEADERS = $(libscicall_scilab_la_include_HEADERS)
251 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
252 # Read a list of newline-separated strings from the standard input,
253 # and print each of them once, without duplicates.  Input order is
254 # *not* preserved.
255 am__uniquify_input = $(AWK) '\
256   BEGIN { nonempty = 0; } \
257   { items[$$0] = 1; nonempty = 1; } \
258   END { if (nonempty) { for (i in items) print i; }; } \
259 '
260 # Make sure the list of sources is unique.  This is necessary because,
261 # e.g., the same source file might be shared among _SOURCES variables
262 # for different programs/libraries.
263 am__define_uniq_tagged_files = \
264   list='$(am__tagged_files)'; \
265   unique=`for i in $$list; do \
266     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
267   done | $(am__uniquify_input)`
268 ETAGS = etags
269 CTAGS = ctags
270 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
271         $(top_srcdir)/config/depcomp \
272         $(top_srcdir)/config/mkinstalldirs
273 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
274 ACLOCAL = @ACLOCAL@
275 ALL_LINGUAS = @ALL_LINGUAS@
276 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
277 AMTAR = @AMTAR@
278 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
279 ANT = @ANT@
280 ANTLR = @ANTLR@
281 AR = @AR@
282 ARPACK_LIBS = @ARPACK_LIBS@
283 ASM3 = @ASM3@
284 AUTOCONF = @AUTOCONF@
285 AUTOHEADER = @AUTOHEADER@
286 AUTOMAKE = @AUTOMAKE@
287 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
288 AWK = @AWK@
289 BATIK = @BATIK@
290 BLAS_CFLAGS = @BLAS_CFLAGS@
291 BLAS_LIBS = @BLAS_LIBS@
292 CC = @CC@
293 CCACHE = @CCACHE@
294 CCDEPMODE = @CCDEPMODE@
295 CFLAGS = @CFLAGS@
296 CHECKSTYLE = @CHECKSTYLE@
297 COBERTURA = @COBERTURA@
298 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
299 COMMONS_IO = @COMMONS_IO@
300 COMMONS_LOGGING = @COMMONS_LOGGING@
301 CPP = @CPP@
302 CPPFLAGS = @CPPFLAGS@
303 CURL_CFLAGS = @CURL_CFLAGS@
304 CURL_CONFIG = @CURL_CONFIG@
305 CURL_LIBS = @CURL_LIBS@
306 CURL_VERSION = @CURL_VERSION@
307 CXX = @CXX@
308 CXXCPP = @CXXCPP@
309 CXXDEPMODE = @CXXDEPMODE@
310 CXXFLAGS = @CXXFLAGS@
311 CYGPATH_W = @CYGPATH_W@
312 DEFS = @DEFS@
313 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
314 DEPDIR = @DEPDIR@
315 DLLTOOL = @DLLTOOL@
316 DOCBOOK_ROOT = @DOCBOOK_ROOT@
317 DOXYGEN_BIN = @DOXYGEN_BIN@
318 DSYMUTIL = @DSYMUTIL@
319 DUMPBIN = @DUMPBIN@
320 ECHO_C = @ECHO_C@
321 ECHO_N = @ECHO_N@
322 ECHO_T = @ECHO_T@
323 ECJ = @ECJ@
324 EGREP = @EGREP@
325 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
326 EXEEXT = @EXEEXT@
327 F77 = @F77@
328 FFLAGS = @FFLAGS@
329 FFTW3_LIB = @FFTW3_LIB@
330 FFTW_ENABLE = @FFTW_ENABLE@
331 FGREP = @FGREP@
332 FLEXDOCK = @FLEXDOCK@
333 FLIBS = @FLIBS@
334 FOP = @FOP@
335 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
336 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
337 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
338 FREEHEP_IO = @FREEHEP_IO@
339 FREEHEP_UTIL = @FREEHEP_UTIL@
340 GENHTML = @GENHTML@
341 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
342 GIWS_BIN = @GIWS_BIN@
343 GLUEGEN2_RT = @GLUEGEN2_RT@
344 GMSGFMT = @GMSGFMT@
345 GMSGFMT_015 = @GMSGFMT_015@
346 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
347 GREP = @GREP@
348 GUI_ENABLE = @GUI_ENABLE@
349 HAMCREST = @HAMCREST@
350 HAVE_CXX11 = @HAVE_CXX11@
351 HDF5_CFLAGS = @HDF5_CFLAGS@
352 HDF5_LIBS = @HDF5_LIBS@
353 HELP_ENABLE = @HELP_ENABLE@
354 INSTALL = @INSTALL@
355 INSTALL_DATA = @INSTALL_DATA@
356 INSTALL_PROGRAM = @INSTALL_PROGRAM@
357 INSTALL_SCRIPT = @INSTALL_SCRIPT@
358 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
359 INTLLIBS = @INTLLIBS@
360 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
361 JAR = @JAR@
362 JAVA = @JAVA@
363 JAVAC = @JAVAC@
364 JAVAC_DEBUG = @JAVAC_DEBUG@
365 JAVADOC = @JAVADOC@
366 JAVAH = @JAVAH@
367 JAVASCI_ENABLE = @JAVASCI_ENABLE@
368 JAVA_ENABLE = @JAVA_ENABLE@
369 JAVA_G = @JAVA_G@
370 JAVA_HOME = @JAVA_HOME@
371 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
372 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
373 JDB = @JDB@
374 JEUCLID_CORE = @JEUCLID_CORE@
375 JGRAPHX = @JGRAPHX@
376 JHALL = @JHALL@
377 JLATEXMATH = @JLATEXMATH@
378 JLATEXMATH_FOP = @JLATEXMATH_FOP@
379 JOGL2 = @JOGL2@
380 JROSETTA_API = @JROSETTA_API@
381 JROSETTA_ENGINE = @JROSETTA_ENGINE@
382 JUNIT4 = @JUNIT4@
383 LAPACK_LIBS = @LAPACK_LIBS@
384 LCOV = @LCOV@
385 LD = @LD@
386 LDFLAGS = @LDFLAGS@
387 LEX = @LEX@
388 LEXLIB = @LEXLIB@
389 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
390 LIBICONV = @LIBICONV@
391 LIBINTL = @LIBINTL@
392 LIBM = @LIBM@
393 LIBOBJS = @LIBOBJS@
394 LIBS = @LIBS@
395 LIBTOOL = @LIBTOOL@
396 LIPO = @LIPO@
397 LN_S = @LN_S@
398 LOGGING_LEVEL = @LOGGING_LEVEL@
399 LOOKS = @LOOKS@
400 LTLIBICONV = @LTLIBICONV@
401 LTLIBINTL = @LTLIBINTL@
402 LTLIBOBJS = @LTLIBOBJS@
403 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
404 LUCENE = @LUCENE@
405 LUCENE_ANALYZER = @LUCENE_ANALYZER@
406 LUCENE_PARSER = @LUCENE_PARSER@
407 MAINT = @MAINT@
408 MAKEINFO = @MAKEINFO@
409 MANIFEST_TOOL = @MANIFEST_TOOL@
410 MATIO_CFLAGS = @MATIO_CFLAGS@
411 MATIO_ENABLE = @MATIO_ENABLE@
412 MATIO_LIBS = @MATIO_LIBS@
413 MKDIR_P = @MKDIR_P@
414 MPI_ENABLE = @MPI_ENABLE@
415 MSGCAT = @MSGCAT@
416 MSGFMT = @MSGFMT@
417 MSGFMT_015 = @MSGFMT_015@
418 MSGMERGE = @MSGMERGE@
419 NM = @NM@
420 NMEDIT = @NMEDIT@
421 OBJDUMP = @OBJDUMP@
422 OBJEXT = @OBJEXT@
423 OCAMLC = @OCAMLC@
424 OCAMLDEP = @OCAMLDEP@
425 OCAMLLEX = @OCAMLLEX@
426 OCAMLOPT = @OCAMLOPT@
427 OCAMLYACC = @OCAMLYACC@
428 OPENMPI_CC = @OPENMPI_CC@
429 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
430 OPENMPI_CXX = @OPENMPI_CXX@
431 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
432 OPENMPI_LIBS = @OPENMPI_LIBS@
433 OPENMP_CFLAGS = @OPENMP_CFLAGS@
434 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
435 OPENMP_ENABLE = @OPENMP_ENABLE@
436 OPENMP_LIBS = @OPENMP_LIBS@
437 OTOOL = @OTOOL@
438 OTOOL64 = @OTOOL64@
439 PACKAGE = @PACKAGE@
440 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
441 PACKAGE_NAME = @PACKAGE_NAME@
442 PACKAGE_STRING = @PACKAGE_STRING@
443 PACKAGE_TARNAME = @PACKAGE_TARNAME@
444 PACKAGE_URL = @PACKAGE_URL@
445 PACKAGE_VERSION = @PACKAGE_VERSION@
446 PATH_SEPARATOR = @PATH_SEPARATOR@
447 PCRE_CFLAGS = @PCRE_CFLAGS@
448 PCRE_CONFIG = @PCRE_CONFIG@
449 PCRE_LIBS = @PCRE_LIBS@
450 PCRE_VERSION = @PCRE_VERSION@
451 PKG_CONFIG = @PKG_CONFIG@
452 POSUB = @POSUB@
453 POW_LIB = @POW_LIB@
454 PYTHON = @PYTHON@
455 RANLIB = @RANLIB@
456 RELOCATABLE = @RELOCATABLE@
457 RT_LIB = @RT_LIB@
458 SAXON = @SAXON@
459 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
460 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
461 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
462 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
463 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
464 SCIRENDERER = @SCIRENDERER@
465 SCIRENDERER_CP = @SCIRENDERER_CP@
466 SCI_CFLAGS = @SCI_CFLAGS@
467 SCI_CXXFLAGS = @SCI_CXXFLAGS@
468 SCI_FFLAGS = @SCI_FFLAGS@
469 SCI_LDFLAGS = @SCI_LDFLAGS@
470 SED = @SED@
471 SET_MAKE = @SET_MAKE@
472 SET_RELOCATABLE = @SET_RELOCATABLE@
473 SHELL = @SHELL@
474 SKINLF = @SKINLF@
475 SPLINT = @SPLINT@
476 STRIP = @STRIP@
477 SWIG_BIN = @SWIG_BIN@
478 SWIG_JAVA = @SWIG_JAVA@
479 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
480 SWIG_SCILAB = @SWIG_SCILAB@
481 TCLTK_LIBS = @TCLTK_LIBS@
482 TCL_INC_PATH = @TCL_INC_PATH@
483 TK_INC_PATH = @TK_INC_PATH@
484 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
485 UMFPACK_ENABLE = @UMFPACK_ENABLE@
486 UMFPACK_LIB = @UMFPACK_LIB@
487 USE_NLS = @USE_NLS@
488 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
489 VALGRIND_LIBS = @VALGRIND_LIBS@
490 VERSION = @VERSION@
491 WITH_OCAML = @WITH_OCAML@
492 WITH_TKSCI = @WITH_TKSCI@
493 XCOS_ENABLE = @XCOS_ENABLE@
494 XGETTEXT = @XGETTEXT@
495 XGETTEXT_015 = @XGETTEXT_015@
496 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
497 XMKMF = @XMKMF@
498 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
499 XML_APIS_EXT = @XML_APIS_EXT@
500 XML_CONFIG = @XML_CONFIG@
501 XML_FLAGS = @XML_FLAGS@
502 XML_LIBS = @XML_LIBS@
503 XML_VERSION = @XML_VERSION@
504 X_CFLAGS = @X_CFLAGS@
505 X_EXTRA_LIBS = @X_EXTRA_LIBS@
506 X_LIBS = @X_LIBS@
507 X_PRE_LIBS = @X_PRE_LIBS@
508 YACC = @YACC@
509 YFLAGS = @YFLAGS@
510 abs_builddir = @abs_builddir@
511 abs_srcdir = @abs_srcdir@
512 abs_top_builddir = @abs_top_builddir@
513 abs_top_srcdir = @abs_top_srcdir@
514 ac_ct_AR = @ac_ct_AR@
515 ac_ct_CC = @ac_ct_CC@
516 ac_ct_CXX = @ac_ct_CXX@
517 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
518 ac_ct_F77 = @ac_ct_F77@
519 am__include = @am__include@
520 am__leading_dot = @am__leading_dot@
521 am__quote = @am__quote@
522 am__tar = @am__tar@
523 am__untar = @am__untar@
524 bindir = @bindir@
525 build = @build@
526 build_alias = @build_alias@
527 build_cpu = @build_cpu@
528 build_os = @build_os@
529 build_vendor = @build_vendor@
530 builddir = @builddir@
531 cxx_present = @cxx_present@
532 datadir = @datadir@
533 datarootdir = @datarootdir@
534 docdir = @docdir@
535 dvidir = @dvidir@
536 exec_prefix = @exec_prefix@
537 host = @host@
538 host_alias = @host_alias@
539 host_cpu = @host_cpu@
540 host_os = @host_os@
541 host_vendor = @host_vendor@
542 htmldir = @htmldir@
543 includedir = @includedir@
544 infodir = @infodir@
545 install_sh = @install_sh@
546 libdir = @libdir@
547 libexecdir = @libexecdir@
548 localedir = @localedir@
549 localstatedir = @localstatedir@
550 mandir = @mandir@
551 mkdir_p = @mkdir_p@
552 oldincludedir = @oldincludedir@
553 pdfdir = @pdfdir@
554 prefix = @prefix@
555 program_transform_name = @program_transform_name@
556 psdir = @psdir@
557 sbindir = @sbindir@
558 sharedstatedir = @sharedstatedir@
559 srcdir = @srcdir@
560 sysconfdir = @sysconfdir@
561 target_alias = @target_alias@
562 top_build_prefix = @top_build_prefix@
563 top_builddir = @top_builddir@
564 top_srcdir = @top_srcdir@
565 yacc_present = @yacc_present@
566
567 ### SOURCES ###
568 CALLSCILAB_C_SOURCES = \
569     src/c/call_scilab.c \
570     src/c/fromc.c \
571     src/c/fromjava.c \
572     src/c/SendScilabJobs.c
573
574 GATEWAY_C_SOURCES = \
575     sci_gateway/c/sci_fromjava.c \
576     sci_gateway/c/sci_fromc.c
577
578 libscicall_scilab_la_CPPFLAGS = \
579     -I$(srcdir)/includes/ \
580     -I$(srcdir)/src/c/ \
581     -I$(top_srcdir)/modules/ast/includes/ast/ \
582     -I$(top_srcdir)/modules/ast/includes/exps/ \
583     -I$(top_srcdir)/modules/ast/includes/operations/ \
584     -I$(top_srcdir)/modules/ast/includes/parse/ \
585     -I$(top_srcdir)/modules/ast/includes/symbol/ \
586     -I$(top_srcdir)/modules/ast/includes/system_env/ \
587     -I$(top_srcdir)/modules/ast/includes/types/ \
588     -I$(top_srcdir)/modules/ast/includes/analysis/ \
589     -I$(top_srcdir)/modules/localization/includes/ \
590     -I$(top_srcdir)/modules/output_stream/includes/ \
591     -I$(top_srcdir)/modules/action_binding/includes/ \
592     -I$(top_srcdir)/modules/api_scilab/includes/ \
593     -I$(top_srcdir)/modules/fileio/includes/ \
594     -I$(top_srcdir)/modules/graphics/includes/ \
595     -I$(top_srcdir)/modules/graphic_objects/includes/ \
596     -I$(top_srcdir)/modules/core/src/c/ \
597     -I$(top_srcdir)/modules/string/includes/ \
598     -I$(top_srcdir)/modules/console/includes/ \
599     -I$(top_srcdir)/modules/threads/includes/ \
600     $(AM_CPPFLAGS)
601
602 pkglib_LTLIBRARIES = libscicall_scilab.la
603 noinst_LTLIBRARIES = libscicall_scilab-algo.la
604 libscicall_scilab_algo_la_SOURCES = $(CALLSCILAB_C_SOURCES)
605 libscicall_scilab_la_SOURCES = $(GATEWAY_C_SOURCES)
606 libscicall_scilab_algo_la_CPPFLAGS = $(libscicall_scilab_la_CPPFLAGS)
607
608 # For the code check (splint)
609 CHECK_SRC = $(libscicall_scilab_la_SOURCES)
610 INCLUDE_FLAGS = $(libscicall_scilab_la_CPPFLAGS)
611 libscicall_scilab_la_LIBADD = libscicall_scilab-algo.la
612
613 #### Target ######
614 modulename = call_scilab
615
616 #### call_scilab : Conf files ####
617 libscicall_scilab_la_rootdir = $(mydatadir)
618 libscicall_scilab_la_root_DATA = license.txt
619
620 #### call_scilab : init scripts ####
621 libscicall_scilab_la_etcdir = $(mydatadir)/etc
622 libscicall_scilab_la_etc_DATA = etc/call_scilab.quit etc/call_scilab.start
623
624 #### call_scilab : gateway declaration ####
625 libscicall_scilab_la_sci_gatewaydir = $(mydatadir)/sci_gateway
626 libscicall_scilab_la_sci_gateway_DATA = sci_gateway/call_scilab_gateway.xml
627
628 #### call_scilab : include files ####
629 libscicall_scilab_la_includedir = $(pkgincludedir)
630 libscicall_scilab_la_include_HEADERS = includes/call_scilab.h
631
632 # Where all the Scilab stuff is installed (macros, help, ...)
633 mydatadir = $(pkgdatadir)/modules/$(modulename)
634
635 # Set AM_* SCI detected settings
636 AM_CPPFLAGS = $(SCI_CPPFLAGS)
637 AM_CFLAGS = $(SCI_CFLAGS)
638 AM_CXXFLAGS = $(SCI_CXXFLAGS)
639 # append includes to AM_FFLAGS to manage fortran includes
640 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
641
642 # Tag shared libraries with the Scilab version
643 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
644
645 # splint options
646 SPLINT_OPTIONS = -weak -booltype BOOL
647
648 ########################### JAVA ######################################
649 #### We are delegating java compilation to ant... Thanks to that
650 #### the procedure will be the same with Microsoft Windows (C)
651 #### and Linux/Unix
652 #######################################################################
653 TARGETS_ALL = $(am__append_1)
654
655 ################ MACROS ######################
656 # Rule to build a macro
657 # NOT USED  AT THE MOMENT
658 SUFFIXES = .sci 
659
660 ########### INSTALL DOCUMENTATION ###################
661
662 # Install documentation files into the right target
663 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
664 # automake needs the html files to be present which is not the case when
665 # we are building Scilab
666
667 # Where it should be installed
668 pkgdocdir = $(mydatadir)
669
670 # What is the mask of the help source
671 DOCMASKXML = *.xml
672
673 # What is the mask of the MathML sources
674 DOCMASKMML = *.mml
675
676 ########### INSTALL DATA ###################
677 # Install macros, help & demos
678 # Where it should be installed
679 pkgmacrosdir = $(mydatadir)
680 # Which directory we process
681 MACRODIRS = macros/
682 # Mask of the Scilab sources macros
683 MACROMASK = *.sci
684 # Mask of the Scilab executable sources macros
685 MACROBUILDMASK = *.sce
686 # Mask of the Scilab compiled macros
687 MACROBINMASK = *.bin
688 # List of the standard directory for tests
689 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
690 # Where the demos should be installed
691 pkgdemosdir = $(mydatadir)
692 # List of the standard directory for demos
693 DEMOS_DIR = demos
694 # List of the standard directory for examples
695 EXAMPLES_DIR = examples
696 # Where to export JAVA archives (.jar)
697 JARDIR = jar/
698 # JAR files mask
699 JARMASK = *.jar
700 # Chapter file 
701 HELP_CHAPTERDIR = help/
702 HELP_CHAPTERFILE = addchapter.sce
703 HELP_CHAPTERLANG = en_US fr_FR pt_BR
704 all: all-am
705
706 .SUFFIXES:
707 .SUFFIXES: .sci .bin .c .lo .o .obj
708 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
709         @for dep in $?; do \
710           case '$(am__configure_deps)' in \
711             *$$dep*) \
712               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
713                 && { if test -f $@; then exit 0; else break; fi; }; \
714               exit 1;; \
715           esac; \
716         done; \
717         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/call_scilab/Makefile'; \
718         $(am__cd) $(top_srcdir) && \
719           $(AUTOMAKE) --foreign modules/call_scilab/Makefile
720 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
721         @case '$?' in \
722           *config.status*) \
723             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
724           *) \
725             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
726             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
727         esac;
728 $(top_srcdir)/Makefile.incl.am $(am__empty):
729
730 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
731         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
732
733 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
734         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
735 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
736         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
737 $(am__aclocal_m4_deps):
738
739 clean-noinstLTLIBRARIES:
740         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
741         @list='$(noinst_LTLIBRARIES)'; \
742         locs=`for p in $$list; do echo $$p; done | \
743               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
744               sort -u`; \
745         test -z "$$locs" || { \
746           echo rm -f $${locs}; \
747           rm -f $${locs}; \
748         }
749
750 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
751         @$(NORMAL_INSTALL)
752         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
753         list2=; for p in $$list; do \
754           if test -f $$p; then \
755             list2="$$list2 $$p"; \
756           else :; fi; \
757         done; \
758         test -z "$$list2" || { \
759           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
760           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
761           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
762           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
763         }
764
765 uninstall-pkglibLTLIBRARIES:
766         @$(NORMAL_UNINSTALL)
767         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
768         for p in $$list; do \
769           $(am__strip_dir) \
770           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
771           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
772         done
773
774 clean-pkglibLTLIBRARIES:
775         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
776         @list='$(pkglib_LTLIBRARIES)'; \
777         locs=`for p in $$list; do echo $$p; done | \
778               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
779               sort -u`; \
780         test -z "$$locs" || { \
781           echo rm -f $${locs}; \
782           rm -f $${locs}; \
783         }
784 src/c/$(am__dirstamp):
785         @$(MKDIR_P) src/c
786         @: > src/c/$(am__dirstamp)
787 src/c/$(DEPDIR)/$(am__dirstamp):
788         @$(MKDIR_P) src/c/$(DEPDIR)
789         @: > src/c/$(DEPDIR)/$(am__dirstamp)
790 src/c/libscicall_scilab_algo_la-call_scilab.lo: src/c/$(am__dirstamp) \
791         src/c/$(DEPDIR)/$(am__dirstamp)
792 src/c/libscicall_scilab_algo_la-fromc.lo: src/c/$(am__dirstamp) \
793         src/c/$(DEPDIR)/$(am__dirstamp)
794 src/c/libscicall_scilab_algo_la-fromjava.lo: src/c/$(am__dirstamp) \
795         src/c/$(DEPDIR)/$(am__dirstamp)
796 src/c/libscicall_scilab_algo_la-SendScilabJobs.lo:  \
797         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
798
799 libscicall_scilab-algo.la: $(libscicall_scilab_algo_la_OBJECTS) $(libscicall_scilab_algo_la_DEPENDENCIES) $(EXTRA_libscicall_scilab_algo_la_DEPENDENCIES) 
800         $(AM_V_CCLD)$(LINK)  $(libscicall_scilab_algo_la_OBJECTS) $(libscicall_scilab_algo_la_LIBADD) $(LIBS)
801 sci_gateway/c/$(am__dirstamp):
802         @$(MKDIR_P) sci_gateway/c
803         @: > sci_gateway/c/$(am__dirstamp)
804 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
805         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
806         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
807 sci_gateway/c/libscicall_scilab_la-sci_fromjava.lo:  \
808         sci_gateway/c/$(am__dirstamp) \
809         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
810 sci_gateway/c/libscicall_scilab_la-sci_fromc.lo:  \
811         sci_gateway/c/$(am__dirstamp) \
812         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
813
814 libscicall_scilab.la: $(libscicall_scilab_la_OBJECTS) $(libscicall_scilab_la_DEPENDENCIES) $(EXTRA_libscicall_scilab_la_DEPENDENCIES) 
815         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libscicall_scilab_la_OBJECTS) $(libscicall_scilab_la_LIBADD) $(LIBS)
816
817 mostlyclean-compile:
818         -rm -f *.$(OBJEXT)
819         -rm -f sci_gateway/c/*.$(OBJEXT)
820         -rm -f sci_gateway/c/*.lo
821         -rm -f src/c/*.$(OBJEXT)
822         -rm -f src/c/*.lo
823
824 distclean-compile:
825         -rm -f *.tab.c
826
827 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscicall_scilab_la-sci_fromc.Plo@am__quote@ # am--include-marker
828 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscicall_scilab_la-sci_fromjava.Plo@am__quote@ # am--include-marker
829 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscicall_scilab_algo_la-SendScilabJobs.Plo@am__quote@ # am--include-marker
830 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscicall_scilab_algo_la-call_scilab.Plo@am__quote@ # am--include-marker
831 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscicall_scilab_algo_la-fromc.Plo@am__quote@ # am--include-marker
832 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscicall_scilab_algo_la-fromjava.Plo@am__quote@ # am--include-marker
833
834 $(am__depfiles_remade):
835         @$(MKDIR_P) $(@D)
836         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
837
838 am--depfiles: $(am__depfiles_remade)
839
840 .c.o:
841 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
842 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
843 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
844 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
845 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
846 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
847
848 .c.obj:
849 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
850 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
851 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
852 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
853 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
854 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
855
856 .c.lo:
857 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
858 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
859 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
860 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
861 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
862 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
863
864 src/c/libscicall_scilab_algo_la-call_scilab.lo: src/c/call_scilab.c
865 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscicall_scilab_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscicall_scilab_algo_la-call_scilab.lo -MD -MP -MF src/c/$(DEPDIR)/libscicall_scilab_algo_la-call_scilab.Tpo -c -o src/c/libscicall_scilab_algo_la-call_scilab.lo `test -f 'src/c/call_scilab.c' || echo '$(srcdir)/'`src/c/call_scilab.c
866 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscicall_scilab_algo_la-call_scilab.Tpo src/c/$(DEPDIR)/libscicall_scilab_algo_la-call_scilab.Plo
867 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/call_scilab.c' object='src/c/libscicall_scilab_algo_la-call_scilab.lo' libtool=yes @AMDEPBACKSLASH@
868 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
869 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscicall_scilab_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscicall_scilab_algo_la-call_scilab.lo `test -f 'src/c/call_scilab.c' || echo '$(srcdir)/'`src/c/call_scilab.c
870
871 src/c/libscicall_scilab_algo_la-fromc.lo: src/c/fromc.c
872 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscicall_scilab_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscicall_scilab_algo_la-fromc.lo -MD -MP -MF src/c/$(DEPDIR)/libscicall_scilab_algo_la-fromc.Tpo -c -o src/c/libscicall_scilab_algo_la-fromc.lo `test -f 'src/c/fromc.c' || echo '$(srcdir)/'`src/c/fromc.c
873 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscicall_scilab_algo_la-fromc.Tpo src/c/$(DEPDIR)/libscicall_scilab_algo_la-fromc.Plo
874 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/fromc.c' object='src/c/libscicall_scilab_algo_la-fromc.lo' libtool=yes @AMDEPBACKSLASH@
875 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
876 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscicall_scilab_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscicall_scilab_algo_la-fromc.lo `test -f 'src/c/fromc.c' || echo '$(srcdir)/'`src/c/fromc.c
877
878 src/c/libscicall_scilab_algo_la-fromjava.lo: src/c/fromjava.c
879 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscicall_scilab_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscicall_scilab_algo_la-fromjava.lo -MD -MP -MF src/c/$(DEPDIR)/libscicall_scilab_algo_la-fromjava.Tpo -c -o src/c/libscicall_scilab_algo_la-fromjava.lo `test -f 'src/c/fromjava.c' || echo '$(srcdir)/'`src/c/fromjava.c
880 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscicall_scilab_algo_la-fromjava.Tpo src/c/$(DEPDIR)/libscicall_scilab_algo_la-fromjava.Plo
881 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/fromjava.c' object='src/c/libscicall_scilab_algo_la-fromjava.lo' libtool=yes @AMDEPBACKSLASH@
882 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
883 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscicall_scilab_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscicall_scilab_algo_la-fromjava.lo `test -f 'src/c/fromjava.c' || echo '$(srcdir)/'`src/c/fromjava.c
884
885 src/c/libscicall_scilab_algo_la-SendScilabJobs.lo: src/c/SendScilabJobs.c
886 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscicall_scilab_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscicall_scilab_algo_la-SendScilabJobs.lo -MD -MP -MF src/c/$(DEPDIR)/libscicall_scilab_algo_la-SendScilabJobs.Tpo -c -o src/c/libscicall_scilab_algo_la-SendScilabJobs.lo `test -f 'src/c/SendScilabJobs.c' || echo '$(srcdir)/'`src/c/SendScilabJobs.c
887 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscicall_scilab_algo_la-SendScilabJobs.Tpo src/c/$(DEPDIR)/libscicall_scilab_algo_la-SendScilabJobs.Plo
888 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/SendScilabJobs.c' object='src/c/libscicall_scilab_algo_la-SendScilabJobs.lo' libtool=yes @AMDEPBACKSLASH@
889 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
890 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscicall_scilab_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscicall_scilab_algo_la-SendScilabJobs.lo `test -f 'src/c/SendScilabJobs.c' || echo '$(srcdir)/'`src/c/SendScilabJobs.c
891
892 sci_gateway/c/libscicall_scilab_la-sci_fromjava.lo: sci_gateway/c/sci_fromjava.c
893 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscicall_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscicall_scilab_la-sci_fromjava.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscicall_scilab_la-sci_fromjava.Tpo -c -o sci_gateway/c/libscicall_scilab_la-sci_fromjava.lo `test -f 'sci_gateway/c/sci_fromjava.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fromjava.c
894 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscicall_scilab_la-sci_fromjava.Tpo sci_gateway/c/$(DEPDIR)/libscicall_scilab_la-sci_fromjava.Plo
895 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_fromjava.c' object='sci_gateway/c/libscicall_scilab_la-sci_fromjava.lo' libtool=yes @AMDEPBACKSLASH@
896 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
897 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscicall_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscicall_scilab_la-sci_fromjava.lo `test -f 'sci_gateway/c/sci_fromjava.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fromjava.c
898
899 sci_gateway/c/libscicall_scilab_la-sci_fromc.lo: sci_gateway/c/sci_fromc.c
900 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscicall_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscicall_scilab_la-sci_fromc.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscicall_scilab_la-sci_fromc.Tpo -c -o sci_gateway/c/libscicall_scilab_la-sci_fromc.lo `test -f 'sci_gateway/c/sci_fromc.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fromc.c
901 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscicall_scilab_la-sci_fromc.Tpo sci_gateway/c/$(DEPDIR)/libscicall_scilab_la-sci_fromc.Plo
902 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_fromc.c' object='sci_gateway/c/libscicall_scilab_la-sci_fromc.lo' libtool=yes @AMDEPBACKSLASH@
903 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
904 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscicall_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscicall_scilab_la-sci_fromc.lo `test -f 'sci_gateway/c/sci_fromc.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fromc.c
905
906 mostlyclean-libtool:
907         -rm -f *.lo
908
909 clean-libtool:
910         -rm -rf .libs _libs
911         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
912         -rm -rf src/c/.libs src/c/_libs
913 install-libscicall_scilab_la_etcDATA: $(libscicall_scilab_la_etc_DATA)
914         @$(NORMAL_INSTALL)
915         @list='$(libscicall_scilab_la_etc_DATA)'; test -n "$(libscicall_scilab_la_etcdir)" || list=; \
916         if test -n "$$list"; then \
917           echo " $(MKDIR_P) '$(DESTDIR)$(libscicall_scilab_la_etcdir)'"; \
918           $(MKDIR_P) "$(DESTDIR)$(libscicall_scilab_la_etcdir)" || exit 1; \
919         fi; \
920         for p in $$list; do \
921           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
922           echo "$$d$$p"; \
923         done | $(am__base_list) | \
924         while read files; do \
925           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscicall_scilab_la_etcdir)'"; \
926           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscicall_scilab_la_etcdir)" || exit $$?; \
927         done
928
929 uninstall-libscicall_scilab_la_etcDATA:
930         @$(NORMAL_UNINSTALL)
931         @list='$(libscicall_scilab_la_etc_DATA)'; test -n "$(libscicall_scilab_la_etcdir)" || list=; \
932         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
933         dir='$(DESTDIR)$(libscicall_scilab_la_etcdir)'; $(am__uninstall_files_from_dir)
934 install-libscicall_scilab_la_rootDATA: $(libscicall_scilab_la_root_DATA)
935         @$(NORMAL_INSTALL)
936         @list='$(libscicall_scilab_la_root_DATA)'; test -n "$(libscicall_scilab_la_rootdir)" || list=; \
937         if test -n "$$list"; then \
938           echo " $(MKDIR_P) '$(DESTDIR)$(libscicall_scilab_la_rootdir)'"; \
939           $(MKDIR_P) "$(DESTDIR)$(libscicall_scilab_la_rootdir)" || exit 1; \
940         fi; \
941         for p in $$list; do \
942           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
943           echo "$$d$$p"; \
944         done | $(am__base_list) | \
945         while read files; do \
946           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscicall_scilab_la_rootdir)'"; \
947           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscicall_scilab_la_rootdir)" || exit $$?; \
948         done
949
950 uninstall-libscicall_scilab_la_rootDATA:
951         @$(NORMAL_UNINSTALL)
952         @list='$(libscicall_scilab_la_root_DATA)'; test -n "$(libscicall_scilab_la_rootdir)" || list=; \
953         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
954         dir='$(DESTDIR)$(libscicall_scilab_la_rootdir)'; $(am__uninstall_files_from_dir)
955 install-libscicall_scilab_la_sci_gatewayDATA: $(libscicall_scilab_la_sci_gateway_DATA)
956         @$(NORMAL_INSTALL)
957         @list='$(libscicall_scilab_la_sci_gateway_DATA)'; test -n "$(libscicall_scilab_la_sci_gatewaydir)" || list=; \
958         if test -n "$$list"; then \
959           echo " $(MKDIR_P) '$(DESTDIR)$(libscicall_scilab_la_sci_gatewaydir)'"; \
960           $(MKDIR_P) "$(DESTDIR)$(libscicall_scilab_la_sci_gatewaydir)" || exit 1; \
961         fi; \
962         for p in $$list; do \
963           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
964           echo "$$d$$p"; \
965         done | $(am__base_list) | \
966         while read files; do \
967           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscicall_scilab_la_sci_gatewaydir)'"; \
968           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscicall_scilab_la_sci_gatewaydir)" || exit $$?; \
969         done
970
971 uninstall-libscicall_scilab_la_sci_gatewayDATA:
972         @$(NORMAL_UNINSTALL)
973         @list='$(libscicall_scilab_la_sci_gateway_DATA)'; test -n "$(libscicall_scilab_la_sci_gatewaydir)" || list=; \
974         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
975         dir='$(DESTDIR)$(libscicall_scilab_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
976 install-libscicall_scilab_la_includeHEADERS: $(libscicall_scilab_la_include_HEADERS)
977         @$(NORMAL_INSTALL)
978         @list='$(libscicall_scilab_la_include_HEADERS)'; test -n "$(libscicall_scilab_la_includedir)" || list=; \
979         if test -n "$$list"; then \
980           echo " $(MKDIR_P) '$(DESTDIR)$(libscicall_scilab_la_includedir)'"; \
981           $(MKDIR_P) "$(DESTDIR)$(libscicall_scilab_la_includedir)" || exit 1; \
982         fi; \
983         for p in $$list; do \
984           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
985           echo "$$d$$p"; \
986         done | $(am__base_list) | \
987         while read files; do \
988           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libscicall_scilab_la_includedir)'"; \
989           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libscicall_scilab_la_includedir)" || exit $$?; \
990         done
991
992 uninstall-libscicall_scilab_la_includeHEADERS:
993         @$(NORMAL_UNINSTALL)
994         @list='$(libscicall_scilab_la_include_HEADERS)'; test -n "$(libscicall_scilab_la_includedir)" || list=; \
995         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
996         dir='$(DESTDIR)$(libscicall_scilab_la_includedir)'; $(am__uninstall_files_from_dir)
997
998 ID: $(am__tagged_files)
999         $(am__define_uniq_tagged_files); mkid -fID $$unique
1000 tags: tags-am
1001 TAGS: tags
1002
1003 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1004         set x; \
1005         here=`pwd`; \
1006         $(am__define_uniq_tagged_files); \
1007         shift; \
1008         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1009           test -n "$$unique" || unique=$$empty_fix; \
1010           if test $$# -gt 0; then \
1011             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1012               "$$@" $$unique; \
1013           else \
1014             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1015               $$unique; \
1016           fi; \
1017         fi
1018 ctags: ctags-am
1019
1020 CTAGS: ctags
1021 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1022         $(am__define_uniq_tagged_files); \
1023         test -z "$(CTAGS_ARGS)$$unique" \
1024           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1025              $$unique
1026
1027 GTAGS:
1028         here=`$(am__cd) $(top_builddir) && pwd` \
1029           && $(am__cd) $(top_srcdir) \
1030           && gtags -i $(GTAGS_ARGS) "$$here"
1031 cscopelist: cscopelist-am
1032
1033 cscopelist-am: $(am__tagged_files)
1034         list='$(am__tagged_files)'; \
1035         case "$(srcdir)" in \
1036           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1037           *) sdir=$(subdir)/$(srcdir) ;; \
1038         esac; \
1039         for i in $$list; do \
1040           if test -f "$$i"; then \
1041             echo "$(subdir)/$$i"; \
1042           else \
1043             echo "$$sdir/$$i"; \
1044           fi; \
1045         done >> $(top_builddir)/cscope.files
1046
1047 distclean-tags:
1048         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1049
1050 distdir: $(BUILT_SOURCES)
1051         $(MAKE) $(AM_MAKEFLAGS) distdir-am
1052
1053 distdir-am: $(DISTFILES)
1054         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1055         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1056         list='$(DISTFILES)'; \
1057           dist_files=`for file in $$list; do echo $$file; done | \
1058           sed -e "s|^$$srcdirstrip/||;t" \
1059               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1060         case $$dist_files in \
1061           */*) $(MKDIR_P) `echo "$$dist_files" | \
1062                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1063                            sort -u` ;; \
1064         esac; \
1065         for file in $$dist_files; do \
1066           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1067           if test -d $$d/$$file; then \
1068             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1069             if test -d "$(distdir)/$$file"; then \
1070               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1071             fi; \
1072             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1073               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1074               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1075             fi; \
1076             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1077           else \
1078             test -f "$(distdir)/$$file" \
1079             || cp -p $$d/$$file "$(distdir)/$$file" \
1080             || exit 1; \
1081           fi; \
1082         done
1083 check-am: all-am
1084         $(MAKE) $(AM_MAKEFLAGS) check-local
1085 check: check-am
1086 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1087 installdirs:
1088         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscicall_scilab_la_etcdir)" "$(DESTDIR)$(libscicall_scilab_la_rootdir)" "$(DESTDIR)$(libscicall_scilab_la_sci_gatewaydir)" "$(DESTDIR)$(libscicall_scilab_la_includedir)"; do \
1089           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1090         done
1091 install: install-am
1092 install-exec: install-exec-am
1093 install-data: install-data-am
1094 uninstall: uninstall-am
1095
1096 install-am: all-am
1097         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1098
1099 installcheck: installcheck-am
1100 install-strip:
1101         if test -z '$(STRIP)'; then \
1102           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1103             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1104               install; \
1105         else \
1106           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1107             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1108             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1109         fi
1110 mostlyclean-generic:
1111
1112 clean-generic:
1113
1114 distclean-generic:
1115         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1116         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1117         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1118         -rm -f sci_gateway/c/$(am__dirstamp)
1119         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1120         -rm -f src/c/$(am__dirstamp)
1121
1122 maintainer-clean-generic:
1123         @echo "This command is intended for maintainers to use"
1124         @echo "it deletes files that may require special tools to rebuild."
1125 clean: clean-am
1126
1127 clean-am: clean-generic clean-libtool clean-local \
1128         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1129
1130 distclean: distclean-am
1131                 -rm -f sci_gateway/c/$(DEPDIR)/libscicall_scilab_la-sci_fromc.Plo
1132         -rm -f sci_gateway/c/$(DEPDIR)/libscicall_scilab_la-sci_fromjava.Plo
1133         -rm -f src/c/$(DEPDIR)/libscicall_scilab_algo_la-SendScilabJobs.Plo
1134         -rm -f src/c/$(DEPDIR)/libscicall_scilab_algo_la-call_scilab.Plo
1135         -rm -f src/c/$(DEPDIR)/libscicall_scilab_algo_la-fromc.Plo
1136         -rm -f src/c/$(DEPDIR)/libscicall_scilab_algo_la-fromjava.Plo
1137         -rm -f Makefile
1138 distclean-am: clean-am distclean-compile distclean-generic \
1139         distclean-local distclean-tags
1140
1141 dvi: dvi-am
1142
1143 dvi-am:
1144
1145 html: html-am
1146
1147 html-am:
1148
1149 info: info-am
1150
1151 info-am:
1152
1153 install-data-am: install-data-local \
1154         install-libscicall_scilab_la_etcDATA \
1155         install-libscicall_scilab_la_includeHEADERS \
1156         install-libscicall_scilab_la_rootDATA \
1157         install-libscicall_scilab_la_sci_gatewayDATA
1158
1159 install-dvi: install-dvi-am
1160
1161 install-dvi-am:
1162
1163 install-exec-am: install-pkglibLTLIBRARIES
1164
1165 install-html: install-html-am
1166
1167 install-html-am: install-html-local
1168
1169 install-info: install-info-am
1170
1171 install-info-am:
1172
1173 install-man:
1174
1175 install-pdf: install-pdf-am
1176
1177 install-pdf-am:
1178
1179 install-ps: install-ps-am
1180
1181 install-ps-am:
1182
1183 installcheck-am:
1184
1185 maintainer-clean: maintainer-clean-am
1186                 -rm -f sci_gateway/c/$(DEPDIR)/libscicall_scilab_la-sci_fromc.Plo
1187         -rm -f sci_gateway/c/$(DEPDIR)/libscicall_scilab_la-sci_fromjava.Plo
1188         -rm -f src/c/$(DEPDIR)/libscicall_scilab_algo_la-SendScilabJobs.Plo
1189         -rm -f src/c/$(DEPDIR)/libscicall_scilab_algo_la-call_scilab.Plo
1190         -rm -f src/c/$(DEPDIR)/libscicall_scilab_algo_la-fromc.Plo
1191         -rm -f src/c/$(DEPDIR)/libscicall_scilab_algo_la-fromjava.Plo
1192         -rm -f Makefile
1193 maintainer-clean-am: distclean-am maintainer-clean-generic
1194
1195 mostlyclean: mostlyclean-am
1196
1197 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1198         mostlyclean-libtool
1199
1200 pdf: pdf-am
1201
1202 pdf-am:
1203
1204 ps: ps-am
1205
1206 ps-am:
1207
1208 uninstall-am: uninstall-libscicall_scilab_la_etcDATA \
1209         uninstall-libscicall_scilab_la_includeHEADERS \
1210         uninstall-libscicall_scilab_la_rootDATA \
1211         uninstall-libscicall_scilab_la_sci_gatewayDATA \
1212         uninstall-pkglibLTLIBRARIES
1213
1214 .MAKE: check-am install-am install-strip
1215
1216 .PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
1217         check-am check-local clean clean-generic clean-libtool \
1218         clean-local clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES \
1219         cscopelist-am ctags ctags-am distclean distclean-compile \
1220         distclean-generic distclean-libtool distclean-local \
1221         distclean-tags distdir dvi dvi-am html html-am info info-am \
1222         install install-am install-data install-data-am \
1223         install-data-local install-dvi install-dvi-am install-exec \
1224         install-exec-am install-html install-html-am \
1225         install-html-local install-info install-info-am \
1226         install-libscicall_scilab_la_etcDATA \
1227         install-libscicall_scilab_la_includeHEADERS \
1228         install-libscicall_scilab_la_rootDATA \
1229         install-libscicall_scilab_la_sci_gatewayDATA install-man \
1230         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1231         install-ps install-ps-am install-strip installcheck \
1232         installcheck-am installdirs maintainer-clean \
1233         maintainer-clean-generic mostlyclean mostlyclean-compile \
1234         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1235         tags tags-am uninstall uninstall-am \
1236         uninstall-libscicall_scilab_la_etcDATA \
1237         uninstall-libscicall_scilab_la_includeHEADERS \
1238         uninstall-libscicall_scilab_la_rootDATA \
1239         uninstall-libscicall_scilab_la_sci_gatewayDATA \
1240         uninstall-pkglibLTLIBRARIES
1241
1242 .PRECIOUS: Makefile
1243
1244
1245 # This target enables tests for Scilab
1246 check-local: $(top_builddir)/scilab-bin test
1247         if test -d $(mydatadir)/tests; then \
1248           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1249         fi
1250 check-code:
1251         if test -f build.xml; then \
1252                 $(ANT) checkstyle; \
1253         fi
1254         if test -x "$(SPLINT)"; then \
1255                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1256         fi
1257 @NEED_JAVA_TRUE@java:
1258 # Some configurations needs to export JAVA_HOME in the current env
1259 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1260 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1261 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1262 @NEED_JAVA_TRUE@                $(ANT); \
1263 @NEED_JAVA_TRUE@        fi
1264
1265 @NEED_JAVA_TRUE@clean-java:
1266 # Some configurations needs to export JAVA_HOME in the current env
1267 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1268 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1269 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1270 @NEED_JAVA_TRUE@                $(ANT) clean; \
1271 @NEED_JAVA_TRUE@        fi;
1272
1273 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1274 # We call the target swig-build on the variable SWIG_WRAPPERS
1275
1276 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1277 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1278 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1279 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1280 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1281 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1282 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1283 @SWIG_TRUE@             done; \
1284 @SWIG_TRUE@     fi
1285
1286 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1287 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1288 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1289 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1290 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1291 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1292 @SWIG_TRUE@             done; \
1293 @SWIG_TRUE@     fi
1294
1295 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1296 # We call the target swig-build on the variable SWIG_WRAPPERS
1297
1298 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1299 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1300 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1301 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1302 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1303 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1304 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1305 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1306 @GIWS_TRUE@                     else \
1307 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1308 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1309 @GIWS_TRUE@                     fi \
1310 @GIWS_TRUE@             done; \
1311 @GIWS_TRUE@     fi
1312
1313 @GIWS_TRUE@giws-exception:
1314 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1315 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1316 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1317
1318 macros:
1319         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1320                 echo "Error : Cannot build $< : Scilab has not been built"; \
1321         else \
1322                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1323         fi)
1324
1325 # Removes the macros
1326 clean-macros:
1327 # Removes macros (*.bin generated from .sci)
1328         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1329                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1330                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1331         done
1332
1333 test:
1334 # More tests could be added here
1335         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1336         if test -f build.xml -a $$USEANT -eq 1; then \
1337                 $(ANT) test; \
1338         fi
1339
1340 all-local: $(TARGETS_ALL)
1341
1342 .sci.bin:
1343         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1344         echo "Error : Cannot build $< : Scilab has not been build"; \
1345         else \
1346         echo "Creating $@"; \
1347         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1348         fi )
1349
1350 install-html-local:
1351
1352 install-data-local-local:
1353 # Mainly for javasci
1354         @if test -d $(srcdir)/javadoc; then \
1355                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1356         fi
1357 # If the user wants the help sources to be installed
1358 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1359 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1360 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1361 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1362 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1363 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1364 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1365 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1366 @INSTALL_HELP_XML_TRUE@           done ; \
1367 @INSTALL_HELP_XML_TRUE@         fi; \
1368 @INSTALL_HELP_XML_TRUE@  fi; \
1369 @INSTALL_HELP_XML_TRUE@ done; \
1370 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1371 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1372 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1373 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1374 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1375 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1376 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1377 @INSTALL_HELP_XML_TRUE@           done ; \
1378 @INSTALL_HELP_XML_TRUE@         fi; \
1379 @INSTALL_HELP_XML_TRUE@ fi
1380 install-data-local:
1381 # Install the tests
1382         @echo "-------- Install tests (if any) --------"; \
1383         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1384           if test -d $(srcdir)/$$dir/; then \
1385             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1386                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1387                     if test -d "$(srcdir)/$$dir/$$file"; then \
1388                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1389                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1390                     else \
1391                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1392                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1393                     fi \
1394                   done; \
1395           fi; \
1396         done
1397 # Install the help chapter
1398         @echo "-------- Install the help chapter (if any) --------"; \
1399         for lang in $(HELP_CHAPTERLANG); do \
1400                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1401                 if test -f $$HELPFILE; then \
1402                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1403                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1404                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1405                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1406                 fi; \
1407         done
1408 # Install the demos & examples
1409         @echo "-------- Install demos & examples (if any) --------"; \
1410         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1411           if test -d $(srcdir)/$$dir/; then \
1412             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1413                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1414                     if test -d "$(srcdir)/$$dir/$$file"; then \
1415                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1416                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1417                     else \
1418                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1419                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1420                     fi \
1421                   done; \
1422           fi; \
1423         done
1424 # Install the macros
1425         @echo "-------- Install macros (if any) --------"; \
1426         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1427           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1428                 if test -d $(srcdir)/$$dir/; then \
1429                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1430                         if test -n "$(MACROSSPECIALEXT)"; then \
1431                                 specialExtDir=""; \
1432                                 for specialExt in $(MACROSSPECIALEXT); do \
1433                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1434                                 done; \
1435                                 FILELIST="$$FILELIST $$specialExtDir"; \
1436                         fi; \
1437                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1438                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1439                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1440                   done; \
1441                 fi; \
1442         done
1443 # Install java files (.jar)
1444         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1445         echo "-------- Install jar files --------"; \
1446     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1447           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1448                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1449                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1450           done ; \
1451         fi
1452
1453 ########### CLEAN ###################
1454 # Clean help (generated automatically by Scilab)
1455 # It used to clean the macro (clean-macros) but this was causing
1456 # make clean && make to fail Scilab startup
1457 @NEED_JAVA_TRUE@clean-local: clean-java
1458 @NEED_JAVA_FALSE@clean-local:
1459
1460 distclean-local:
1461         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1462
1463 .PHONY: macros java swig giws
1464
1465 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1466 # Otherwise a system limit (for SysV at least) may be exceeded.
1467 .NOEXPORT: